REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single RegisteredDevice record by its Id.
{ "BusinessId": 123, "UserId": 123, "Name": "<string>", "DeviceType": "<string>", "DeviceId": "<string>", "ConfigurationData": "<string>", "Active": true, "LastHeartBeat": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
RegisteredDevice-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/registereddevices/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": null, "UserId": null, "Name": "", "DeviceType": "", "DeviceId": "", "ConfigurationData": null, "Active": false, "LastHeartBeat": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "RegisteredDevice Example", "LocalizationDetails": null, "CustomFields": null }